# Class SubCoolBarManager

java.lang.Object
org.eclipse.jface.action.SubContributionManager
org.eclipse.jface.action.SubCoolBarManager

All Implemented Interfaces:
  `IContributionManager, ICoolBarManager`

public class SubCoolBarManager extends SubContributionManager implements ICoolBarManager
A `SubCoolBarManager` monitors the additional and removal of items from a parent manager so that visibility of the entire set can be changed as a unit.

Since:
  3.0

## Field Summary

### Fields inherited from interface ICoolBarManager

`SIZE`

## Constructor Summary

Constructors
Constructor
Description
`SubCoolBarManager(ICoolBarManager mgr)`
Constructs a new manager.

## Method Summary

Modifier and Type
Method
Description
`void`
`add(IToolBarManager toolBarManager)`
A convenience method to add a tool bar as a contribution item to this cool bar manager.
`IMenuManager`
`getContextMenuManager()`
Returns the context menu manager used by this cool bar manager.
`boolean`
`getLockLayout()`
Returns whether the layout of the underlying cool bar widget is locked.
`protected final ICoolBarManager`
`getParentCoolBarManager()`
Returns the parent cool bar manager that this sub-manager contributes to.
`int`
`getStyle()`
Returns the style of the underlying cool bar widget.
`void`
`setContextMenuManager(IMenuManager menuManager)`
Sets the context menu of this cool bar manager to the given menu manager.
`void`
`setLockLayout(boolean value)`
Locks or unlocks the layout of the underlying cool bar widget.
`void`
`update(boolean force)`
Updates this manager's underlying widget(s) with any changes which have been made to it or its items.

### Methods inherited from class SubContributionManager

`add, add, appendToGroup, appendToGroup, disposeManager, find, getItems, getOverrides, getParent, insertAfter, insertAfter, insertBefore, insertBefore, isDirty, isEmpty, isVisible, itemAdded, itemRemoved, items, markDirty, prependToGroup, prependToGroup, remove, remove, removeAll, setVisible, unwrap, wrap`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface IContributionManager

`add, add, appendToGroup, appendToGroup, find, getItems, getOverrides, insertAfter, insertAfter, insertBefore, insertBefore, isDirty, isEmpty, markDirty, prependToGroup, prependToGroup, remove, remove, removeAll`

## Constructor Details

### SubCoolBarManager

public SubCoolBarManager(ICoolBarManager mgr)
Constructs a new manager.

Parameters:
  `mgr` - the parent manager. All contributions made to the `SubCoolBarManager` are forwarded and appear in the parent manager.

## Method Details

### add

public void add(IToolBarManager toolBarManager)
Description copied from interface: `ICoolBarManager`
A convenience method to add a tool bar as a contribution item to this cool bar manager. Equivalent to `add(new ToolBarContributionManager(toolBarManager))`.

Specified by:
  `add` in interface `ICoolBarManager`
Parameters:
  `toolBarManager` - the tool bar manager to be added
See Also:
  - `ToolBarContributionItem`

### getStyle

public int getStyle()
Description copied from interface: `ICoolBarManager`
Returns the style of the underlying cool bar widget.

Specified by:
  `getStyle` in interface `ICoolBarManager`
Returns:
  the style of the cool bar

### getParentCoolBarManager

protected final ICoolBarManager getParentCoolBarManager()
Returns the parent cool bar manager that this sub-manager contributes to.

Returns:
  the parent cool bar manager

### getLockLayout

public boolean getLockLayout()
Description copied from interface: `ICoolBarManager`
Returns whether the layout of the underlying cool bar widget is locked.

Specified by:
  `getLockLayout` in interface `ICoolBarManager`
Returns:
  `true` if cool bar layout is locked, `false` otherwise

### setLockLayout

public void setLockLayout(boolean value)
Description copied from interface: `ICoolBarManager`
Locks or unlocks the layout of the underlying cool bar widget. Once the cool bar is locked, cool items cannot be repositioned by the user.

Note that items can be added or removed programmatically even while the cool bar is locked.

Specified by:
  `setLockLayout` in interface `ICoolBarManager`
Parameters:
  `value` - `true` to lock the cool bar, `false` to unlock

### getContextMenuManager

public IMenuManager getContextMenuManager()
Description copied from interface: `ICoolBarManager`
Returns the context menu manager used by this cool bar manager. This context menu manager is used by the cool bar manager except for cool items that provide their own.

Specified by:
  `getContextMenuManager` in interface `ICoolBarManager`
Returns:
  the context menu manager, or `null` if none
See Also:
  - `ICoolBarManager.setContextMenuManager(IMenuManager)`

### setContextMenuManager

public void setContextMenuManager(IMenuManager menuManager)
Description copied from interface: `ICoolBarManager`
Sets the context menu of this cool bar manager to the given menu manager.

Specified by:
  `setContextMenuManager` in interface `ICoolBarManager`
Parameters:
  `menuManager` - the context menu manager, or `null` if none
See Also:
  - `ICoolBarManager.getContextMenuManager()`

### update

public void update(boolean force)
Description copied from interface: `IContributionManager`
Updates this manager's underlying widget(s) with any changes which have been made to it or its items. Normally changes to a contribution manager merely mark it as dirty, without updating the underlying widgets. This brings the underlying widgets up to date with any changes.

Specified by:
  `update` in interface `IContributionManager`
Parameters:
  `force` - `true` means update even if not dirty, and `false` for normal incremental updating